<style type="text/css">
.connect_box{ display:none;}
.event_key{ display:none;}
</style>  
	<table width="100%" class="etable">
	<{if $smarty.get.pid == '' || $smarty.get.pid == '0'}>  
		<tr>
			<td width="80">所属分类</td>
			<td><div class="cats_list"></div></td>
			<input type="hidden" value="<{$row.cid}>" id="cid"/>
	  	</tr>
	<{/if}>		
		<tr>
			<td width="80" id="attr_val_2">规格名</td>
			<td><input name="name" type="text" size="38" id="name" value="<{$row.name}>" placeholder="必填选项"/></td>
	  	</tr>
		<tr>
			<td>排序</td>
			<td><input name="px" type="text" size="12" id="px" value="<{$row.px}>"/></td>
	  	</tr> 
	</table> 
<script type="text/javascript"> 
<{if $row.cid}>
	category_list('<{$row.cid}>');	
<{else}>
	category_next('0');	
<{/if}>
function ajax_submit(){ 
	<{if $smarty.get.pid == '' || $smarty.get.pid == '0'}>  
		var cid = $('#cid').val(); 
		var pid = '0';  
	<{else}> 
		var cid = '0'; 
		var pid = '<{$smarty.get.pid}>'; 
	<{/if}>
	var name = $("#name").val();
	var px = $("#px").val();
	$.post('?m=goods_sku&a=save',{<{if $row.id}>id:<{$row.id}>,<{/if}> pid:pid, cid:cid, name:name, px:px},function(result){ 
		data = jQuery.parseJSON(result); 
		if(data.error == '0'){ 
			parent.ajax_flush();
			parent.ajax_close();
		}else{
			$.alert(data.msg);
		} 
	});
}  
$(function(){ 
	var tcid = $("#tcid").val();
	if(tcid != '0'){
		$("#gcid_box").hide();
		$("#attr_val_1").html('添加规格值');
		$("#attr_val_2").html('属性值'); 
	}else{
		$("#gcid_box").show(); 
		$("#attr_val_1").html('添加规格名');
		$("#attr_val_2").html('属性名'); 
	} 
	<{if $smarty.get.id != ''}>
		$("#gcid_box").hide(); 
	<{/if}>
});
</script>